LibreOffice: XImplementationRegistration Interface Reference

LibreOffice LibreOffice 6.4 SDK API Reference

Public Member Functions | List of all members
XImplementationRegistration Interface Referencepublished

offers a registry for implementation objects and provides information about the registered implementations. More...

`import"XImplementationRegistration.idl";`

Inheritance diagram for XImplementationRegistration:

## Public Member Functions
void | registerImplementation ([in] string aImplementationLoader, [in] string aLocation, [in] com::sun::star::registry::XSimpleRegistry xReg) raises ( com::sun::star::registry::CannotRegisterImplementationException )
| registers a component which provides one or more implementations. More...
boolean | revokeImplementation ([in] string aLocation, [in] com::sun::star::registry::XSimpleRegistry xReg)
| revokes a component and all their provided implementations from the registry. More...
sequence< string > | getImplementations ([in] string aImplementationLoader, [in] string aLocation)
sequence< string > | checkInstantiation ([in] string implementationName)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

offers a registry for implementation objects and provides information about the registered implementations.

## Member Function Documentation

## ◆ checkInstantiation()

sequence<string> checkInstantiation | ( | [in] string | implementationName | ) |

Returns
  a sequence with names of the missing services to create an instance of this implementation.

Parameters

  implementationName | specifies the name of the checked implementation.

## ◆ getImplementations()

sequence<string> getImplementations | ( | [in] string | aImplementationLoader,
|  | [in] string | aLocation
| ) |  |

Returns
  the names of the implementations registered by the url location.

Parameters

  aImplementationLoader | specifies the name of the needed loader for this type of implementation. For example, the loader "com.sun.star.loader.SharedLibrary" for implementations that are realized as an SharedLibrary.
  aLocation | specifies the location of the component with the URL.

## ◆ registerImplementation()

void registerImplementation | ( | [in] string | aImplementationLoader,
|  | [in] string | aLocation,
|  | [in] com::sun::star::registry::XSimpleRegistry | xReg
| ) |  |
raises | ( | com::sun::star::registry::CannotRegisterImplementationException
| ) |  |

registers a component which provides one or more implementations.

Parameters

  aImplementationLoader | the URL of the implementation loader.
  aLocation | specifies the location of the component with the URL.
  xReg | specifies the registry where the component should be installed. If it is a NULL interface, then the component will be installed in the system registry (if this feature is supported).

## ◆ revokeImplementation()

boolean revokeImplementation | ( | [in] string | aLocation,
|  | [in] com::sun::star::registry::XSimpleRegistry | xReg
| ) |  |

revokes a component and all their provided implementations from the registry.

Parameters

  aLocation | specifies the location of the component with the URL.
  xReg | specifies the registry where the component should be installed. If it is a NULL interface, then the component will be revoked from the system registry (if this feature is supported).

The documentation for this interface was generated from the following file:

- com/sun/star/registry/XImplementationRegistration.idl